LimitExpression (Groovy 5.0.8)

Package: org.apache.groovy.ginq.dsl.expression

## [Java] Class LimitExpression

- org.apache.groovy.ginq.dsl.expression.LimitExpression

-     public class LimitExpression
      extends ProcessExpression

  Represents limit expression

  Since:
    4.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LimitExpression(Expression offsetAndSizeExpr)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<R>` | `public R` | `accept(GinqAstVisitor<R> visitor)`
    `` | `public Expression` | `getOffsetAndSizeExpr()`
    `` | `public String` | `getText()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ProcessExpression` | `getDataSourceExpression, setDataSourceExpression`
    `class AbstractGinqExpression` | `accept, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public LimitExpression(Expression offsetAndSizeExpr)

  - ### Method Detail

    - #### <R> @Override
      public R accept(GinqAstVisitor<R> visitor)

    - #### public Expression getOffsetAndSizeExpr()

    - #### @Override
      public String getText()

    - #### @Override
      public String toString()